CREATE TABLE IF NOT EXISTS book (
	-- id  SERIAL UNIQUE,
	gNo integer not null ,
	hNo integer not null ,
	rNo integer not null ,
	dateFrom Date not null ,
	dateTo   Date not null ,
        CONSTRAINT pk_book UNIQUE (gNo, hNo, rNo, dateFrom),
        -- CONSTRAINT pk_book PRIMARY KEY(id  ),
	CONSTRAINT fk_book_guest FOREIGN KEY (gNo)  REFERENCES guest(gNo),
	CONSTRAINT fk_book_hotel FOREIGN KEY (hNo)  REFERENCES hotel(hNo),
	CONSTRAINT fk_book_room FOREIGN KEY (hNo, rno)  REFERENCES room(hno, rno),
	CONSTRAINT ck_book_dates CHECK( dateTo > dateFrom )
) 
TABLESPACE hotelData;
