/*  List hotels with second least expensive room(s).
*/

/* Version 1:
select		h.*
from		hotel h
where		exists
		( select * from room r
    		  where r.hno = h.hno and
		        exists ( select * from room r1
			         where r1.price < r.price and
				       not exists (
					   select * from room r2
					   where r2.price < r.price and
					         r2.price <> r1.price )
				)
		)
/
*/
select		*
from		hotel h natural join room  r
--from		hotel h inner join room r on ( h.hno = r.hno)
where		exists (
   		   select * from room r1
		   where r1.price < r.price and
			 not exists (
			     select * from room r2
			     where r2.price < r.price and
				   r2.price <> r1.price )
		)
/
