/*
select hName, gName, v.rNo, type, dateFrom, dateTo
from hotel h, guest g, book v, room r
where h.hNo = v.hNo AND h.hNo = r.hNo and v.rNo = r.rNo
and g.gNo = v.gNo
order by hName, gName
/
*/
select hName, gName, b.rNo, type, dateFrom, dateTo
from hotel h join  book b  on h.hNo = b.hNo  join  room r
     on b.hNo = r.hNo AND b.rNo = r.rNo join guest g on g.gNo = b.gNo
